package com.dayou.service;
import com.dayou.entity.AssetsEvaluationMethod;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 资产评估方法表 服务类
 * </p>
 *
 * @author GouGengquan
 * @since 2024-04-07
 */
public interface IAssetsEvaluationMethodService extends IService<AssetsEvaluationMethod> {


        /**
         * 获取所有评估方法集合
         * @return List<AssetsEvaluationMethod>
         */
        List<AssetsEvaluationMethod> getAssetsEvaluationMethod();

        Page<AssetsEvaluationMethod> selectPage(Page page,AssetsEvaluationMethod assetsEvaluationMethod);

        AssetsEvaluationMethod detail(Long id);

        Boolean add(AssetsEvaluationMethod assetsEvaluationMethod);

        Boolean update(AssetsEvaluationMethod assetsEvaluationMethod);

        Boolean delete(Long id);

}
